Bug 1471043 - Selection in KDE konsole adds to clipboard tailing spaces
Selection in KDE konsole adds to clipboard tailing spaces
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: konsole5 (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 06:01 EDT by frantisek.reznicek
Modified: 2018-05-29 08:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:16:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
F26 package list (60.24 KB, text/plain)
2017-07-14 06:02 EDT, frantisek.reznicek
no flags Details
Example of copy-pasted text from konsole containing tailing speces (9.77 KB, application/x-gzip)
2017-07-14 06:04 EDT, frantisek.reznicek
no flags Details

  None (edit)
Description frantisek.reznicek 2017-07-14 06:01:19 EDT
Description of problem:

Selection in KDE konsole adds to clipboard tailing spaces.


Version-Release number of selected component (if applicable):
  Happening on F26:
    konsole5-17.04.1-1.fc26.x86_64
    konsole5-part-17.04.1-1.fc26.x86_64

  Also on F24 (completely same):
    konsole5-part-16.12.3-1.fc24.x86_64
    konsole5-16.12.3-1.fc24.x86_64

How reproducible:
85%

Steps to Reproduce:
1. start konsole
2. yum search as
3. select from bottom up at least 500 lines
4. paste the selection into text editor (kwrite or other)


Actual results:
Copy-pasted text from terminal contains tailing spaces ending at the width of the konsole window.

Expected results:
No tailing spaces expected.

Additional info:
Comment 1 frantisek.reznicek 2017-07-14 06:02 EDT
Created attachment 1298234 [details]
F26 package list
Comment 2 frantisek.reznicek 2017-07-14 06:04 EDT
Created attachment 1298235 [details]
Example of copy-pasted text from konsole containing tailing speces
Comment 3 Fedora End Of Life 2018-05-03 03:55:00 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:16:02 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.